OCamllabs icon Home|Differences with the last checks|Previous runs


Building on x86-bm-1.ocamllabs.io

(from ocaml/opam:debian-unstable@sha256:a13c01aab19715953d47831effb2beb0ac90dc98c13b216893db2550799e3b9f)
2022-01-11 05:07.31 ---> using "25f41b9b491d02c7254b970e99985d870c42757893c20fc18444d6909849d261" from cache

/: (user (uid 1000) (gid 1000))

/: (env OPAMPRECISETRACKING 1)

/: (env OPAMUTF8 never)

/: (env OPAMEXTERNALSOLVER builtin-0install)

/: (env OPAMCRITERIA +removed)

/: (run (shell "sudo ln -f /usr/bin/opam-dev /usr/bin/opam"))
2022-01-11 05:07.31 ---> using "c24d6e6ed3acb535aaba9c88e96e6ada0fbaa14bd43ffd1def50fa468542e261" from cache

/: (run (network host)
        (shell "rm -rf ~/opam-repository && git clone -q 'https://github.com/ocaml/opam-repository' ~/opam-repository && git -C ~/opam-repository checkout -q c14aaaa298d8e4577d7c56422e0de69a4d0818fa"))
2022-01-11 05:07.31 ---> using "e68d9b9f57f0f96efeb7bc081692c1dd1590494e494678b74fd3395445d2e470" from cache

/: (run (shell "rm -rf ~/.opam && opam init -ya --bare --config ~/.opamrc-sandbox ~/opam-repository"))
Configuring from /home/opam/.opamrc-sandbox, then /home/opam/.opamrc, and finally from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.


<><> Fetching repository information ><><><><><><><><><><><><><><><><><><><><><>
[default] Initialised

User configuration:
  ~/.profile is already up-to-date.
[NOTE] Make sure that ~/.profile is well sourced in your ~/.bashrc.

2022-01-11 05:07.31 ---> using "deb88c8fbe443db08484583d4adebeb2493ed1e6134d873c3bbfb72f14b8d5bc" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam switch create --repositories=default '4.14' '4.14.0+trunk'"))

<><> Installing new switch packages <><><><><><><><><><><><><><><><><><><><><><>
Switch invariant: ["ocaml-variants" {= "4.14.0+trunk"}]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> retrieved ocaml-variants.4.14.0+trunk  (https://github.com/ocaml/ocaml/archive/4.14.tar.gz)
-> installed ocaml-variants.4.14.0+trunk
-> installed ocaml-config.2
-> installed ocaml.4.14.0
Done.
# Run eval $(opam env --switch=4.14) to update the current shell environment
2022-01-11 05:07.31 ---> using "8e79536a95d7488ecf5db4190eddb5f078111f7dae0b98bc3f26fa8f44b5d856" from cache

/: (run (network host)
        (shell "opam update --depexts"))
+ /usr/bin/sudo "apt-get" "update"
- Get:1 http://deb.debian.org/debian unstable InRelease [165 kB]
- Get:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index [63.6 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2022-01-11-0202.29-F-2022-01-05-2001.28.pdiff [246 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2022-01-11-0202.29-F-2022-01-05-2001.28.pdiff [246 kB]
- Fetched 475 kB in 3s (159 kB/s)
- Reading package lists...
- 
2022-01-11 05:07.31 ---> using "3adfed63df2daf61d6f8978901c40c3836425080b2ef61f9d4eebbe36a1cb0d0" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell  "\
               \nopam remove -y \"async_extra.v0.14.0\"\
               \nopam install -vy \"async_extra.v0.14.0\"\
               \nres=$?\
               \nif [ $res = 31 ]; then\
               \n    if opam show -f x-ci-accept-failures: \"async_extra.v0.14.0\" | grep -q '\"debian-unstable\"'; then\
               \n        echo \"This package failed and has been disabled for CI using the 'x-ci-accept-failures' field.\"\
               \n        exit 69\
               \n    fi\
               \nfi\
               \n\
               \n\
               \nexit $res\
               \n"))
[NOTE] async_extra.v0.14.0 is not installed.

Nothing to do.
The following actions will be performed:
  - install seq                 base    [required by re]
  - install ocamlfind           1.9.1   [required by num]
  - install dune                2.9.1   [required by async_extra]
  - install num                 1.4     [required by sexplib]
  - install stdlib-shims        0.3.0   [required by ppxlib]
  - install sexplib0            v0.14.0 [required by base, sexplib]
  - install result              1.5     [required by dune-configurator]
  - install re                  1.10.3  [required by ppx_expect]
  - install ppx_derivers        1.2.1   [required by ppxlib]
  - install octavius            1.2.2   [required by ppx_js_style]
  - install ocaml-compiler-libs v0.12.4 [required by ppxlib]
  - install jane-street-headers v0.14.0 [required by core_kernel]
  - install csexp               1.5.1   [required by dune-configurator]
  - install ppxlib              0.24.0  [required by ppx_jane]
  - install dune-configurator   2.9.1   [required by base]
  - install ppx_pipebang        v0.14.0 [required by ppx_jane]
  - install base                v0.14.2 [required by core_kernel]
  - install variantslib         v0.14.0 [required by core_kernel]
  - install typerep             v0.14.0 [required by core_kernel]
  - install stdio               v0.14.0 [required by core_kernel]
  - install ppx_stable          v0.14.1 [required by ppx_jane]
  - install ppx_sexp_conv       v0.14.3 [required by core_kernel]
  - install ppx_optional        v0.14.0 [required by ppx_jane]
  - install ppx_let             v0.14.0 [required by ppx_jane]
  - install ppx_js_style        v0.14.1 [required by ppx_base]
  - install ppx_here            v0.14.0 [required by ppx_jane]
  - install ppx_fixed_literal   v0.14.0 [required by ppx_jane]
  - install ppx_enumerate       v0.14.0 [required by ppx_base]
  - install ppx_compare         v0.14.0 [required by ppx_base, bin_prot]
  - install ppx_cold            v0.14.0 [required by ppx_base]
  - install parsexp             v0.14.1 [required by sexplib]
  - install fieldslib           v0.14.0 [required by core_kernel]
  - install ppx_variants_conv   v0.14.2 [required by ppx_jane]
  - install ppx_typerep_conv    v0.14.2 [required by ppx_jane]
  - install ppx_optcomp         v0.14.3 [required by core_kernel]
  - install ppx_custom_printf   v0.14.1 [required by ppx_jane]
  - install ppx_sexp_value      v0.14.0 [required by ppx_jane]
  - install ppx_sexp_message    v0.14.1 [required by core_kernel]
  - install ppx_hash            v0.14.0 [required by core_kernel]
  - install ppx_assert          v0.14.0 [required by core_kernel]
  - install sexplib             v0.14.0 [required by core_kernel]
  - install ppx_fields_conv     v0.14.2 [required by ppx_jane]
  - install ppx_base            v0.14.0 [required by core_kernel]
  - install jst-config          v0.14.1 [required by core_kernel]
  - install bin_prot            v0.14.0 [required by core_kernel]
  - install ppx_string          v0.14.1 [required by ppx_jane]
  - install time_now            v0.14.0 [required by core_kernel]
  - install ppx_bin_prot        v0.14.0 [required by ppx_jane]
  - install ppx_module_timer    v0.14.0 [required by ppx_jane]
  - install ppx_inline_test     v0.14.1 [required by core_kernel]
  - install ppx_expect          v0.14.2 [required by ppx_jane]
  - install ppx_bench           v0.14.1 [required by ppx_jane]
  - install splittable_random   v0.14.0 [required by core_kernel]
  - install base_quickcheck     v0.14.1 [required by core_kernel]
  - install ppx_jane            v0.14.0 [required by async_extra]
  - install base_bigstring      v0.14.0 [required by core_kernel]
  - install core_kernel         v0.14.2 [required by async_extra]
  - install async_kernel        v0.14.0 [required by async_extra]
  - install async_extra         v0.14.0
===== 59 to install =====

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/177: [async_extra.v0.14.0: http]
Processing  2/177: [async_extra.v0.14.0: http] [async_kernel.v0.14.0: http]
Processing  3/177: [async_extra.v0.14.0: http] [async_kernel.v0.14.0: http]
-> retrieved base.v0.14.2  (cached)
Processing  4/177: [async_extra.v0.14.0: http] [async_kernel.v0.14.0: http] [base_bigstring.v0.14.0: http]
Processing  4/177: [async_kernel.v0.14.0: http] [base_bigstring.v0.14.0: http]
-> retrieved async_extra.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/async_extra-v0.14.0.tar.gz)
Processing  5/177: [async_kernel.v0.14.0: http] [base_bigstring.v0.14.0: http] [base_quickcheck.v0.14.1: http]
Processing  5/177: [async_kernel.v0.14.0: http] [base_quickcheck.v0.14.1: http]
-> retrieved base_bigstring.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/base_bigstring-v0.14.0.tar.gz)
Processing  6/177: [async_kernel.v0.14.0: http] [base_quickcheck.v0.14.1: http] [bin_prot.v0.14.0: http]
Processing  6/177: [base_quickcheck.v0.14.1: http] [bin_prot.v0.14.0: http]
-> retrieved async_kernel.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/async_kernel-v0.14.0.tar.gz)
Processing  7/177: [base_quickcheck.v0.14.1: http] [bin_prot.v0.14.0: http] [core_kernel.v0.14.2: http]
Processing  7/177: [bin_prot.v0.14.0: http] [core_kernel.v0.14.2: http]
-> retrieved base_quickcheck.v0.14.1  (https://github.com/janestreet/base_quickcheck/archive/v0.14.1.tar.gz)
Processing  8/177: [bin_prot.v0.14.0: http] [core_kernel.v0.14.2: http]
-> retrieved csexp.1.5.1  (cached)
Processing  9/177: [bin_prot.v0.14.0: http] [core_kernel.v0.14.2: http]
Processing  9/177: [bin_prot.v0.14.0: http]
-> retrieved core_kernel.v0.14.2  (https://github.com/janestreet/core_kernel/archive/v0.14.2.tar.gz)
Processing 10/177: [bin_prot.v0.14.0: http]
Processing 10/177:
-> retrieved bin_prot.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/bin_prot-v0.14.0.tar.gz)
Processing 11/177: [fieldslib.v0.14.0: http]
-> retrieved dune.2.9.1  (cached)
Processing 12/177: [fieldslib.v0.14.0: http] [jane-street-headers.v0.14.0: http]
Processing 13/177: [fieldslib.v0.14.0: http] [jane-street-headers.v0.14.0: http] [dune: ocaml bootstrap.ml]
-> retrieved dune-configurator.2.9.1  (cached)
Processing 14/177: [fieldslib.v0.14.0: http] [jane-street-headers.v0.14.0: http] [jst-config.v0.14.1: http] [dune: ocaml bootstrap.ml]
Processing 14/177: [jane-street-headers.v0.14.0: http] [jst-config.v0.14.1: http] [dune: ocaml bootstrap.ml]
Processing 14/177: [jst-config.v0.14.1: http] [dune: ocaml bootstrap.ml]
-> retrieved fieldslib.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/fieldslib-v0.14.0.tar.gz)
Processing 15/177: [jst-config.v0.14.1: http] [dune: ocaml bootstrap.ml]
-> retrieved jane-street-headers.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/jane-street-headers-v0.14.0.tar.gz)
Processing 16/177: [jst-config.v0.14.1: http] [dune: ocaml bootstrap.ml]
-> retrieved num.1.4  (cached)
Processing 17/177: [jst-config.v0.14.1: http] [dune: ocaml bootstrap.ml]
-> retrieved ocaml-compiler-libs.v0.12.4  (cached)
Processing 18/177: [jst-config.v0.14.1: http] [octavius.1.2.2: http] [dune: ocaml bootstrap.ml]
-> retrieved ocamlfind.1.9.1  (cached)
Processing 19/177: [jst-config.v0.14.1: http] [octavius.1.2.2: http] [dune: ocaml bootstrap.ml]
Processing 20/177: [jst-config.v0.14.1: http] [octavius.1.2.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
-> retrieved parsexp.v0.14.1  (cached)
Processing 21/177: [jst-config.v0.14.1: http] [octavius.1.2.2: http] [ppx_assert.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
Processing 21/177: [octavius.1.2.2: http] [ppx_assert.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
-> retrieved jst-config.v0.14.1  (https://github.com/janestreet/jst-config/archive/refs/tags/v0.14.1.tar.gz)
Processing 22/177: [octavius.1.2.2: http] [ppx_assert.v0.14.0: http] [ppx_base.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
Processing 22/177: [ppx_assert.v0.14.0: http] [ppx_base.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
-> retrieved octavius.1.2.2  (https://github.com/ocaml-doc/octavius/archive/v1.2.2.tar.gz)
Processing 23/177: [ppx_assert.v0.14.0: http] [ppx_base.v0.14.0: http] [ppx_bench.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
Processing 23/177: [ppx_base.v0.14.0: http] [ppx_bench.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
Processing 23/177: [ppx_bench.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
-> retrieved ppx_assert.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_assert-v0.14.0.tar.gz)
Processing 24/177: [ppx_bench.v0.14.1: http] [ppx_bin_prot.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
-> retrieved ppx_base.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_base-v0.14.0.tar.gz)
Processing 25/177: [ppx_bench.v0.14.1: http] [ppx_bin_prot.v0.14.0: http] [ppx_cold.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
Processing 25/177: [ppx_bin_prot.v0.14.0: http] [ppx_cold.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
Processing 25/177: [ppx_bin_prot.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
Processing 25/177: [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
-> retrieved ppx_bench.v0.14.1  (https://github.com/janestreet/ppx_bench/archive/v0.14.1.tar.gz)
Processing 26/177: [ppx_compare.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
-> retrieved ppx_cold.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_cold-v0.14.0.tar.gz)
Processing 27/177: [ppx_compare.v0.14.0: http] [ppx_custom_printf.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
-> retrieved ppx_bin_prot.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_bin_prot-v0.14.0.tar.gz)
Processing 28/177: [ppx_compare.v0.14.0: http] [ppx_custom_printf.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: ./configure]
- Welcome to findlib version 1.9.1
- Configuring core...
- Checking for #remove_directory...
- Testing threading model...
- systhread_supported: true
- Testing DLLs...
- Testing whether ppxopt can be supported...
- Checking for ocamlc -opaque...
- Querying installation: META list not found
- make install will double-check installed META files
- Configuring libraries...
- unix: found
- bigarray: found
- compiler-libs: found
- dbm: not present (normal since 4.00)
- graphics: not present (normal since 4.09)
- num: not present (normal since 4.06)
- ocamlbuild: not present (normal since 4.03)
- ocamldoc: found
- raw_spacetime: not present (normal since 4.12)
- threads: found
- str: found
- labltk: not present (normal since 4.02)
- native dynlink: found
- camlp4: disabled
- bytes: found, installing fake library
- Configuration for dynlink written to site-lib-src/dynlink/META
- Configuration for stdlib written to site-lib-src/stdlib/META
- Configuration for unix written to site-lib-src/unix/META
- Configuration for bigarray written to site-lib-src/bigarray/META
- Configuration for compiler-libs written to site-lib-src/compiler-libs/META
- Configuration for ocamldoc written to site-lib-src/ocamldoc/META
- Configuration for threads written to site-lib-src/threads/META
- Configuration for str written to site-lib-src/str/META
- Configuration for bytes written to site-lib-src/bytes/META
- Detecting compiler arguments: (extractor built) ok
- 
- About the OCAML core installation:
-     Standard library:      /home/opam/.opam/4.14/lib/ocaml
-     Binaries:              /home/opam/.opam/4.14/bin
-     Manual pages:          /home/opam/.opam/4.14/man
-     Multi-threading type:  posix
- The directory of site-specific packages will be
-     site-lib:              /home/opam/.opam/4.14/lib
- The configuration file is written to:
-     findlib config file:   /home/opam/.opam/4.14/lib/findlib.conf
- Software will be installed:
-     Libraries:             in <site-lib>/findlib
-     Binaries:              /home/opam/.opam/4.14/bin
-     Manual pages:          /home/opam/.opam/4.14/man
-     topfind script:        /home/opam/.opam/4.14/lib/ocaml
- Topfind ppxopt support:    yes
- Toolbox:                   no
- Link custom runtime:       no
- Need bytes compatibility:  no
- 
- Configuration has been written to Makefile.config
- 
- You can now do 'make all', and optionally 'make opt', to build ocamlfind.
Processing 28/177: [ppx_compare.v0.14.0: http] [ppx_custom_printf.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_derivers.1.2.1  (cached)
Processing 29/177: [ppx_compare.v0.14.0: http] [ppx_custom_printf.v0.14.1: http] [ppx_enumerate.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 29/177: [ppx_custom_printf.v0.14.1: http] [ppx_enumerate.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_compare.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_compare-v0.14.0.tar.gz)
Processing 30/177: [ppx_custom_printf.v0.14.1: http] [ppx_enumerate.v0.14.0: http] [ppx_expect.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 30/177: [ppx_enumerate.v0.14.0: http] [ppx_expect.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 30/177: [ppx_expect.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_custom_printf.v0.14.1  (https://github.com/janestreet/ppx_custom_printf/archive/v0.14.1.tar.gz)
Processing 31/177: [ppx_expect.v0.14.2: http] [ppx_fields_conv.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_enumerate.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_enumerate-v0.14.0.tar.gz)
Processing 32/177: [ppx_expect.v0.14.2: http] [ppx_fields_conv.v0.14.2: http] [ppx_fixed_literal.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 32/177: [ppx_fields_conv.v0.14.2: http] [ppx_fixed_literal.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 32/177: [ppx_fixed_literal.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 32/177: [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_expect.v0.14.2  (https://github.com/janestreet/ppx_expect/archive/v0.14.2.tar.gz)
Processing 33/177: [ppx_hash.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_fields_conv.v0.14.2  (https://github.com/janestreet/ppx_fields_conv/archive/v0.14.2.tar.gz)
Processing 34/177: [ppx_hash.v0.14.0: http] [ppx_here.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_fixed_literal.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_fixed_literal-v0.14.0.tar.gz)
Processing 35/177: [ppx_hash.v0.14.0: http] [ppx_here.v0.14.0: http] [ppx_inline_test.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 35/177: [ppx_here.v0.14.0: http] [ppx_inline_test.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 35/177: [ppx_inline_test.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 35/177: [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_hash.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_hash-v0.14.0.tar.gz)
Processing 36/177: [ppx_jane.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_here.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_here-v0.14.0.tar.gz)
Processing 37/177: [ppx_jane.v0.14.0: http] [ppx_js_style.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_inline_test.v0.14.1  (https://github.com/janestreet/ppx_inline_test/archive/v0.14.1.tar.gz)
Processing 38/177: [ppx_jane.v0.14.0: http] [ppx_js_style.v0.14.1: http] [ppx_let.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 38/177: [ppx_js_style.v0.14.1: http] [ppx_let.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_jane.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_jane-v0.14.0.tar.gz)
Processing 39/177: [ppx_js_style.v0.14.1: http] [ppx_let.v0.14.0: http] [ppx_module_timer.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 39/177: [ppx_js_style.v0.14.1: http] [ppx_module_timer.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 39/177: [ppx_module_timer.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_let.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_let-v0.14.0.tar.gz)
Processing 40/177: [ppx_module_timer.v0.14.0: http] [ppx_optcomp.v0.14.3: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_js_style.v0.14.1  (https://github.com/janestreet/ppx_js_style/archive/refs/tags/v0.14.1.tar.gz)
Processing 41/177: [ppx_module_timer.v0.14.0: http] [ppx_optcomp.v0.14.3: http] [ppx_optional.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 41/177: [ppx_optcomp.v0.14.3: http] [ppx_optional.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_module_timer.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_module_timer-v0.14.0.tar.gz)
Processing 42/177: [ppx_optcomp.v0.14.3: http] [ppx_optional.v0.14.0: http] [ppx_pipebang.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 42/177: [ppx_optcomp.v0.14.3: http] [ppx_pipebang.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 42/177: [ppx_pipebang.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_optional.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_optional-v0.14.0.tar.gz)
Processing 43/177: [ppx_pipebang.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_optcomp.v0.14.3  (https://github.com/janestreet/ppx_optcomp/archive/v0.14.3.tar.gz)
Processing 44/177: [ppx_pipebang.v0.14.0: http] [ppx_sexp_message.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_sexp_conv.v0.14.3  (cached)
Processing 45/177: [ppx_pipebang.v0.14.0: http] [ppx_sexp_message.v0.14.1: http] [ppx_sexp_value.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 45/177: [ppx_sexp_message.v0.14.1: http] [ppx_sexp_value.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_pipebang.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_pipebang-v0.14.0.tar.gz)
Processing 46/177: [ppx_sexp_message.v0.14.1: http] [ppx_sexp_value.v0.14.0: http] [ppx_stable.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 46/177: [ppx_sexp_message.v0.14.1: http] [ppx_stable.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 46/177: [ppx_stable.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_sexp_value.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/ppx_sexp_value-v0.14.0.tar.gz)
Processing 47/177: [ppx_stable.v0.14.1: http] [ppx_string.v0.14.1: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
-> retrieved ppx_sexp_message.v0.14.1  (https://github.com/janestreet/ppx_sexp_message/archive/v0.14.1.tar.gz)
Processing 48/177: [ppx_stable.v0.14.1: http] [ppx_string.v0.14.1: http] [ppx_typerep_conv.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
Processing 48/177: [ppx_string.v0.14.1: http] [ppx_typerep_conv.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make all]
- for p in findlib; do ( cd src/$p; make all ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- ocamllex fl_meta.mll
- 22 states, 392 transitions, table size 1700 bytes
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib_config.mlp | \
-          ../../tools/patch '@CONFIGFILE@' '/home/opam/.opam/4.14/lib/findlib.conf' | \
-          ../../tools/patch '@STDLIB@' '/home/opam/.opam/4.14/lib/ocaml' | \
- 	sed -e 's;@AUTOLINK@;true;g' \
- 	    -e 's;@SYSTEM@;linux;g' \
- 	     >findlib_config.ml
- if [ "true" = "true" ]; then                 \
- 	cp topfind.ml.in topfind.ml;                             \
- else                                                             \
- 	sed -e '/PPXOPT_BEGIN/,/PPXOPT_END/ d' topfind.ml.in     \
- 		> topfind.ml ;                                   \
- fi
- ocamldep *.ml *.mli >depend
- ocamlc -I +compiler-libs -opaque -g -c findlib_config.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_split.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_metatoken.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_meta.ml
- ocamlc -I +compiler-libs -opaque -c fl_metascanner.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_metascanner.ml
- File "fl_metascanner.ml", line 41, characters 13-25:
- 41 |           in Stream.lsing (fun _ -> (line, pos, Eof))
-                   ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 45, characters 12-24:
- 45 |             Stream.lcons (fun _ -> (line, pos, t))
-                  ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 46, characters 15-27:
- 46 |               (Stream.slazy (fun _ -> next line pos0))
-                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 61, characters 20-28:
- 61 |     let (__strm : _ Stream.t) = stream
-                          ^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 63, characters 12-23:
- 63 |       match Stream.peek __strm with
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 65, characters 11-22:
- 65 |           (Stream.junk __strm;
-                 ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 66, characters 18-29:
- 66 |            (match Stream.peek __strm with
-                        ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 68, characters 17-28:
- 68 |                 (Stream.junk __strm;
-                       ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 69, characters 24-35:
- 69 |                  (match Stream.peek __strm with
-                              ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 71, characters 23-34:
- 71 |                       (Stream.junk __strm;
-                             ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 75, characters 28-42:
- 75 |                           | Stream.Failure ->
-                                  ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 77, characters 33-45:
- 77 |                                 (Stream.Error
-                                       ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 83, characters 33-47:
- 83 |                           with | Stream.Failure -> raise (Stream.Error ""))
-                                       ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 83, characters 58-70:
- 83 |                           with | Stream.Failure -> raise (Stream.Error ""))
-                                                                ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 91, characters 25-37:
- 91 |                         (Stream.Error
-                               ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 95, characters 19-31:
- 95 |                   (Stream.Error
-                         ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 99, characters 11-22:
- 99 |           (Stream.junk __strm;
-                 ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 103, characters 16-30:
- 103 |               | Stream.Failure ->
-                       ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 105, characters 21-33:
- 105 |                     (Stream.Error
-                            ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 109, characters 21-35:
- 109 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 109, characters 46-58:
- 109 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 125, characters 11-22:
- 125 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 129, characters 16-28:
- 129 |                (Stream.Error
-                       ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 136, characters 11-22:
- 136 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 140, characters 16-28:
- 140 |                (Stream.Error
-                       ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 147, characters 11-22:
- 147 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 149, characters 14-26:
- 149 |              (Stream.Error
-                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 151, characters 19-33:
- 151 |       | _ -> raise Stream.Failure
-                          ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 153, characters 20-28:
- 153 |     let (__strm : _ Stream.t) = stream
-                           ^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 155, characters 12-23:
- 155 |       match Stream.peek __strm with
-                   ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 157, characters 11-22:
- 157 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 160, characters 21-35:
- 160 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 160, characters 46-58:
- 160 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 163, characters 21-35:
- 163 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 163, characters 46-58:
- 163 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 166, characters 21-35:
- 166 |               with | Stream.Failure -> raise (Stream.Error ""))
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 166, characters 46-58:
- 166 |               with | Stream.Failure -> raise (Stream.Error ""))
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 168, characters 20-31:
- 168 |              (match Stream.peek __strm with
-                           ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 170, characters 19-30:
- 170 |                   (Stream.junk __strm; ((arg1 :: args), flav, s))
-                          ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 173, characters 21-33:
- 173 |                     (Stream.Error
-                            ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 177, characters 11-22:
- 177 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 178, characters 18-29:
- 178 |            (match Stream.peek __strm with
-                         ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 180, characters 17-28:
- 180 |                 (Stream.junk __strm; ([], `BaseDef, s))
-                        ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 183, characters 19-31:
- 183 |                   (Stream.Error
-                          ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 188, characters 11-22:
- 188 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 189, characters 18-29:
- 189 |            (match Stream.peek __strm with
-                         ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 191, characters 17-28:
- 191 |                 (Stream.junk __strm; ([], `Appendix, s))
-                        ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 194, characters 19-31:
- 194 |                   (Stream.Error
-                          ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 199, characters 11-22:
- 199 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 201, characters 14-26:
- 201 |              (Stream.Error
-                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 204, characters 19-33:
- 204 |       | _ -> raise Stream.Failure
-                          ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 206, characters 20-28:
- 206 |     let (__strm : _ Stream.t) = stream
-                           ^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 208, characters 12-23:
- 208 |       match Stream.peek __strm with
-                   ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 210, characters 11-22:
- 210 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 213, characters 21-35:
- 213 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 213, characters 46-58:
- 213 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 216, characters 21-35:
- 216 |               with | Stream.Failure -> raise (Stream.Error ""))
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 216, characters 46-58:
- 216 |               with | Stream.Failure -> raise (Stream.Error ""))
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 218, characters 34-45:
- 218 |       | Some ((_, _, RParen)) -> (Stream.junk __strm; [])
-                                         ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 220, characters 11-22:
- 220 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 222, characters 14-26:
- 222 |              (Stream.Error
-                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 224, characters 19-33:
- 224 |       | _ -> raise Stream.Failure
-                          ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 226, characters 20-28:
- 226 |     let (__strm : _ Stream.t) = stream
-                           ^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 228, characters 12-23:
- 228 |       match Stream.peek __strm with
-                   ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 229, characters 39-50:
- 229 |       | Some ((line, col, Name n)) -> (Stream.junk __strm; `Pred n)
-                                              ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 231, characters 11-22:
- 231 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 232, characters 18-29:
- 232 |            (match Stream.peek __strm with
-                         ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 233, characters 40-51:
- 233 |             | Some ((l, c, Name n)) -> (Stream.junk __strm; `NegPred n)
-                                               ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 236, characters 19-31:
- 236 |                   (Stream.Error
-                          ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 239, characters 11-22:
- 239 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 240, characters 18-30:
- 240 |            raise (Stream.Error (error_msg "Name or -Name expected" line col)))
-                         ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 241, characters 19-33:
- 241 |       | _ -> raise Stream.Failure
-                          ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 243, characters 20-28:
- 243 |     let (__strm : _ Stream.t) = stream
-                           ^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 245, characters 12-23:
- 245 |       match Stream.peek __strm with
-                   ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 246, characters 38-49:
- 246 |       | Some ((line, col, Equal)) -> (Stream.junk __strm; `BaseDef)
-                                             ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 247, characters 42-53:
- 247 |       | Some ((line, col, PlusEqual)) -> (Stream.junk __strm; `Appendix)
-                                                 ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 249, characters 11-22:
- 249 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 250, characters 18-30:
- 250 |            raise (Stream.Error (error_msg "'+' or '+=' expected" line col)))
-                         ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 251, characters 19-33:
- 251 |       | _ -> raise Stream.Failure in
-                          ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 268, characters 22-34:
- 268 |                      (Stream.Error
-                             ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 286, characters 20-32:
- 286 |                    (Stream.Error ("Double definition for subpackage " ^ p'))
-                           ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 291, characters 20-32:
- 291 |                    (Stream.Error
-                           ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 302, characters 11-23:
- 302 |     with | Stream.Error "" -> raise (Stream.Error "Syntax Error")
-                  ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 302, characters 37-49:
- 302 |     with | Stream.Error "" -> raise (Stream.Error "Syntax Error")
-                                            ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 341, characters 11-23:
- 341 |     raise (Stream.Error (error_fun line col)) in
-                  ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 349, characters 24-36:
- 349 |     try rule arg with | Stream.Error _ -> raise_err error_fmt line col in
-                               ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 462, characters 22-34:
- 462 |                      (Stream.Error
-                             ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 480, characters 20-32:
- 480 |                    (Stream.Error ("Double definition for subpackage " ^ p'))
-                           ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 485, characters 20-32:
- 485 |                    (Stream.Error
-                           ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 494, characters 11-23:
- 494 |     with | Stream.Error "" -> raise (Stream.Error "Syntax Error")
-                  ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 494, characters 37-49:
- 494 |     with | Stream.Error "" -> raise (Stream.Error "Syntax Error")
-                                            ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- ocamlc -I +compiler-libs -opaque -c fl_topo.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_topo.ml
- ocamlc -I +compiler-libs -opaque -c fl_package_base.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_package_base.ml
- File "fl_package_base.ml", line 157, characters 6-18:
- 157 |     | Stream.Error s ->
-             ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_package_base.ml", line 304, characters 22-40:
- 304 | 	 let pkg_ancestors = query_requirements predlist pkg in
-       	                     ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 350, characters 18-36:
- 350 |   let ancestors = query_requirements predlist package_name in
-                         ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 375, characters 23-41:
- 375 | 	  let pkg_ancestors = query_requirements predlist pkg in
-       	                      ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 510, characters 16-35:
- 510 | 	     ( let c = package_definitions search_path pkg.package_name in
-       	               ^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label search_path was omitted in the application of this function.
- ocamlc -I +compiler-libs -opaque -c findlib.mli
- ocamlc -I +compiler-libs -opaque -g -c findlib.ml
- File "findlib.ml", line 390, characters 2-26:
- 390 |   Fl_package_base.requires predlist pkg
-         ^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "findlib.ml", line 396, characters 2-33:
- 396 |   Fl_package_base.requires_deeply predlist pkglist
-         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- ocamlc -I +compiler-libs -opaque -g -c fl_args.ml
- ocamlc -I +compiler-libs -opaque -g -c fl_lint.ml
- ocamlc -I +compiler-libs -a -o findlib.cma findlib_config.cmo fl_split.cmo fl_metatoken.cmo fl_meta.cmo fl_metascanner.cmo fl_topo.cmo fl_package_base.cmo findlib.cmo fl_args.cmo fl_lint.cmo
- ocamlc -I +compiler-libs -opaque -g -c ocaml_args.ml
- ocamlc -I +compiler-libs -opaque -g -c frontend.ml
- File "frontend.ml", line 859, characters 10-39:
- 859 |           Fl_package_base.package_users predicates1 packages1
-                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "frontend.ml", line 1826, characters 16-29:
- 1826 |       let buf = String.create buflen in   (* FIXME: Bytes.create *)
-                        ^^^^^^^^^^^^^
- Alert deprecated: Stdlib.String.create
- Use Bytes.create/BytesLabels.create instead.
- File "frontend.ml", line 2018, characters 4-16:
- 2018 |   | Stream.Error s ->
-            ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- ocamlc -I +compiler-libs  -o ocamlfind -g findlib.cma unix.cma \
-            ocaml_args.cmo frontend.cmo
- ocamlc -I +compiler-libs -opaque -c topfind.mli
- ocamlc -I +compiler-libs -opaque -g -c topfind.ml
- File "topfind.ml", line 126, characters 40-63:
- 126 |                      match Hashtbl.find Toploop.directive_table "ppx" with
-                                               ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 252, characters 4-27:
- 252 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 262, characters 4-27:
- 262 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 274, characters 4-27:
- 274 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 287, characters 4-27:
- 287 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 301, characters 4-27:
- 301 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 313, characters 4-27:
- 313 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- ocamlc -I +compiler-libs -a -o findlib_top.cma topfind.cmo
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat topfind_rd1.p | \
-          ../../tools/patch '@SITELIB@' '/home/opam/.opam/4.14/lib' \
-     	    >topfind
- ocamlc -I +compiler-libs -opaque -c fl_dynload.mli
- ocamlc -I +compiler-libs -opaque -g -c fl_dynload.ml
- ocamlc -I +compiler-libs -a -o findlib_dynload.cma fl_dynload.cmo
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- make all-config
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1'
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib.conf.in | \
-      tools/patch '@SITELIB@' '/home/opam/.opam/4.14/lib' >findlib.conf
- if ./tools/cmd_from_same_dir ocamlc; then \
- 	echo 'ocamlc="ocamlc.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamlopt; then \
- 	echo 'ocamlopt="ocamlopt.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldep; then \
- 	echo 'ocamldep="ocamldep.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldoc; then \
- 	echo 'ocamldoc="ocamldoc.opt"' >>findlib.conf; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1'
Processing 48/177: [ppx_string.v0.14.1: http] [ppx_typerep_conv.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved ppx_stable.v0.14.1  (https://github.com/janestreet/ppx_stable/archive/v0.14.1.tar.gz)
Processing 49/177: [ppx_string.v0.14.1: http] [ppx_typerep_conv.v0.14.2: http] [ppx_variants_conv.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
Processing 49/177: [ppx_typerep_conv.v0.14.2: http] [ppx_variants_conv.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved ppx_string.v0.14.1  (https://github.com/janestreet/ppx_string/archive/v0.14.1.tar.gz)
Processing 50/177: [ppx_typerep_conv.v0.14.2: http] [ppx_variants_conv.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
Processing 50/177: [ppx_variants_conv.v0.14.2: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
Processing 50/177: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved ppx_typerep_conv.v0.14.2  (https://github.com/janestreet/ppx_typerep_conv/archive/v0.14.2.tar.gz)
Processing 51/177: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved ppx_variants_conv.v0.14.2  (https://github.com/janestreet/ppx_variants_conv/archive/v0.14.2.tar.gz)
Processing 52/177: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved result.1.5  (cached)
Processing 53/177: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
Processing 54/177: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
Processing 55/177: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> installed seq.base
Processing 56/177: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved re.1.10.3  (cached)
Processing 57/177: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved sexplib.v0.14.0  (cached)
Processing 58/177: [splittable_random.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved sexplib0.v0.14.0  (cached)
Processing 59/177: [splittable_random.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved ppxlib.0.24.0  (cached)
Processing 60/177: [splittable_random.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
Processing 60/177: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved stdio.v0.14.0  (cached)
Processing 61/177: [time_now.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved stdlib-shims.0.3.0  (cached)
Processing 62/177: [time_now.v0.14.0: http] [typerep.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved splittable_random.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/splittable_random-v0.14.0.tar.gz)
Processing 63/177: [time_now.v0.14.0: http] [typerep.v0.14.0: http] [variantslib.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
Processing 63/177: [typerep.v0.14.0: http] [variantslib.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved time_now.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/time_now-v0.14.0.tar.gz)
Processing 63/177: [typerep.v0.14.0: http] [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
Processing 63/177: [dune: ocaml bootstrap.ml] [ocamlfind: make opt]
-> retrieved variantslib.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/variantslib-v0.14.0.tar.gz)
-> retrieved typerep.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/typerep-v0.14.0.tar.gz)
- for p in findlib; do ( cd src/$p; make opt ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- ocamlopt -I +compiler-libs -g -opaque -c findlib_config.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_split.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_metatoken.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_meta.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_metascanner.ml
- File "fl_metascanner.ml", line 41, characters 13-25:
- 41 |           in Stream.lsing (fun _ -> (line, pos, Eof))
-                   ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 45, characters 12-24:
- 45 |             Stream.lcons (fun _ -> (line, pos, t))
-                  ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 46, characters 15-27:
- 46 |               (Stream.slazy (fun _ -> next line pos0))
-                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 61, characters 20-28:
- 61 |     let (__strm : _ Stream.t) = stream
-                          ^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 63, characters 12-23:
- 63 |       match Stream.peek __strm with
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 65, characters 11-22:
- 65 |           (Stream.junk __strm;
-                 ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 66, characters 18-29:
- 66 |            (match Stream.peek __strm with
-                        ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 68, characters 17-28:
- 68 |                 (Stream.junk __strm;
-                       ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 69, characters 24-35:
- 69 |                  (match Stream.peek __strm with
-                              ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 71, characters 23-34:
- 71 |                       (Stream.junk __strm;
-                             ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 75, characters 28-42:
- 75 |                           | Stream.Failure ->
-                                  ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 77, characters 33-45:
- 77 |                                 (Stream.Error
-                                       ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 83, characters 33-47:
- 83 |                           with | Stream.Failure -> raise (Stream.Error ""))
-                                       ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 83, characters 58-70:
- 83 |                           with | Stream.Failure -> raise (Stream.Error ""))
-                                                                ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 91, characters 25-37:
- 91 |                         (Stream.Error
-                               ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 95, characters 19-31:
- 95 |                   (Stream.Error
-                         ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 99, characters 11-22:
- 99 |           (Stream.junk __strm;
-                 ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 103, characters 16-30:
- 103 |               | Stream.Failure ->
-                       ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 105, characters 21-33:
- 105 |                     (Stream.Error
-                            ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 109, characters 21-35:
- 109 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 109, characters 46-58:
- 109 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 125, characters 11-22:
- 125 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 129, characters 16-28:
- 129 |                (Stream.Error
-                       ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 136, characters 11-22:
- 136 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 140, characters 16-28:
- 140 |                (Stream.Error
-                       ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 147, characters 11-22:
- 147 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 149, characters 14-26:
- 149 |              (Stream.Error
-                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 151, characters 19-33:
- 151 |       | _ -> raise Stream.Failure
-                          ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 153, characters 20-28:
- 153 |     let (__strm : _ Stream.t) = stream
-                           ^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 155, characters 12-23:
- 155 |       match Stream.peek __strm with
-                   ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 157, characters 11-22:
- 157 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 160, characters 21-35:
- 160 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 160, characters 46-58:
- 160 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 163, characters 21-35:
- 163 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 163, characters 46-58:
- 163 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 166, characters 21-35:
- 166 |               with | Stream.Failure -> raise (Stream.Error ""))
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 166, characters 46-58:
- 166 |               with | Stream.Failure -> raise (Stream.Error ""))
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 168, characters 20-31:
- 168 |              (match Stream.peek __strm with
-                           ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 170, characters 19-30:
- 170 |                   (Stream.junk __strm; ((arg1 :: args), flav, s))
-                          ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 173, characters 21-33:
- 173 |                     (Stream.Error
-                            ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 177, characters 11-22:
- 177 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 178, characters 18-29:
- 178 |            (match Stream.peek __strm with
-                         ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 180, characters 17-28:
- 180 |                 (Stream.junk __strm; ([], `BaseDef, s))
-                        ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 183, characters 19-31:
- 183 |                   (Stream.Error
-                          ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 188, characters 11-22:
- 188 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 189, characters 18-29:
- 189 |            (match Stream.peek __strm with
-                         ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 191, characters 17-28:
- 191 |                 (Stream.junk __strm; ([], `Appendix, s))
-                        ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 194, characters 19-31:
- 194 |                   (Stream.Error
-                          ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 199, characters 11-22:
- 199 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 201, characters 14-26:
- 201 |              (Stream.Error
-                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 204, characters 19-33:
- 204 |       | _ -> raise Stream.Failure
-                          ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 206, characters 20-28:
- 206 |     let (__strm : _ Stream.t) = stream
-                           ^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 208, characters 12-23:
- 208 |       match Stream.peek __strm with
-                   ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 210, characters 11-22:
- 210 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 213, characters 21-35:
- 213 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 213, characters 46-58:
- 213 |               with | Stream.Failure -> raise (Stream.Error "")) in
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 216, characters 21-35:
- 216 |               with | Stream.Failure -> raise (Stream.Error ""))
-                            ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 216, characters 46-58:
- 216 |               with | Stream.Failure -> raise (Stream.Error ""))
-                                                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 218, characters 34-45:
- 218 |       | Some ((_, _, RParen)) -> (Stream.junk __strm; [])
-                                         ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 220, characters 11-22:
- 220 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 222, characters 14-26:
- 222 |              (Stream.Error
-                     ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 224, characters 19-33:
- 224 |       | _ -> raise Stream.Failure
-                          ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 226, characters 20-28:
- 226 |     let (__strm : _ Stream.t) = stream
-                           ^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 228, characters 12-23:
- 228 |       match Stream.peek __strm with
-                   ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 229, characters 39-50:
- 229 |       | Some ((line, col, Name n)) -> (Stream.junk __strm; `Pred n)
-                                              ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 231, characters 11-22:
- 231 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 232, characters 18-29:
- 232 |            (match Stream.peek __strm with
-                         ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 233, characters 40-51:
- 233 |             | Some ((l, c, Name n)) -> (Stream.junk __strm; `NegPred n)
-                                               ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 236, characters 19-31:
- 236 |                   (Stream.Error
-                          ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 239, characters 11-22:
- 239 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 240, characters 18-30:
- 240 |            raise (Stream.Error (error_msg "Name or -Name expected" line col)))
-                         ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 241, characters 19-33:
- 241 |       | _ -> raise Stream.Failure
-                          ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 243, characters 20-28:
- 243 |     let (__strm : _ Stream.t) = stream
-                           ^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 245, characters 12-23:
- 245 |       match Stream.peek __strm with
-                   ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 246, characters 38-49:
- 246 |       | Some ((line, col, Equal)) -> (Stream.junk __strm; `BaseDef)
-                                             ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 247, characters 42-53:
- 247 |       | Some ((line, col, PlusEqual)) -> (Stream.junk __strm; `Appendix)
-                                                 ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 249, characters 11-22:
- 249 |           (Stream.junk __strm;
-                  ^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 250, characters 18-30:
- 250 |            raise (Stream.Error (error_msg "'+' or '+=' expected" line col)))
-                         ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 251, characters 19-33:
- 251 |       | _ -> raise Stream.Failure in
-                          ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 268, characters 22-34:
- 268 |                      (Stream.Error
-                             ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 286, characters 20-32:
- 286 |                    (Stream.Error ("Double definition for subpackage " ^ p'))
-                           ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 291, characters 20-32:
- 291 |                    (Stream.Error
-                           ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 302, characters 11-23:
- 302 |     with | Stream.Error "" -> raise (Stream.Error "Syntax Error")
-                  ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 302, characters 37-49:
- 302 |     with | Stream.Error "" -> raise (Stream.Error "Syntax Error")
-                                            ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 341, characters 11-23:
- 341 |     raise (Stream.Error (error_fun line col)) in
-                  ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 349, characters 24-36:
- 349 |     try rule arg with | Stream.Error _ -> raise_err error_fmt line col in
-                               ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 462, characters 22-34:
- 462 |                      (Stream.Error
-                             ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 480, characters 20-32:
- 480 |                    (Stream.Error ("Double definition for subpackage " ^ p'))
-                           ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 485, characters 20-32:
- 485 |                    (Stream.Error
-                           ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 494, characters 11-23:
- 494 |     with | Stream.Error "" -> raise (Stream.Error "Syntax Error")
-                  ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_metascanner.ml", line 494, characters 37-49:
- 494 |     with | Stream.Error "" -> raise (Stream.Error "Syntax Error")
-                                            ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- ocamlopt -I +compiler-libs -g -opaque -c fl_topo.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_package_base.ml
- File "fl_package_base.ml", line 157, characters 6-18:
- 157 |     | Stream.Error s ->
-             ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "fl_package_base.ml", line 304, characters 22-40:
- 304 | 	 let pkg_ancestors = query_requirements predlist pkg in
-       	                     ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 350, characters 18-36:
- 350 |   let ancestors = query_requirements predlist package_name in
-                         ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 375, characters 23-41:
- 375 | 	  let pkg_ancestors = query_requirements predlist pkg in
-       	                      ^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "fl_package_base.ml", line 510, characters 16-35:
- 510 | 	     ( let c = package_definitions search_path pkg.package_name in
-       	               ^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label search_path was omitted in the application of this function.
- ocamlopt -I +compiler-libs -g -opaque -c findlib.ml
- File "findlib.ml", line 390, characters 2-26:
- 390 |   Fl_package_base.requires predlist pkg
-         ^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "findlib.ml", line 396, characters 2-33:
- 396 |   Fl_package_base.requires_deeply predlist pkglist
-         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- ocamlopt -I +compiler-libs -g -opaque -c fl_args.ml
- ocamlopt -I +compiler-libs -g -opaque -c fl_lint.ml
- ocamlopt -I +compiler-libs -g -a -o findlib.cmxa findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib.cmxs findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque -c ocaml_args.ml
- ocamlopt -I +compiler-libs -g -opaque -c frontend.ml
- File "frontend.ml", line 859, characters 10-39:
- 859 |           Fl_package_base.package_users predicates1 packages1
-                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 6 [labels-omitted]: label preds was omitted in the application of this function.
- File "frontend.ml", line 1826, characters 16-29:
- 1826 |       let buf = String.create buflen in   (* FIXME: Bytes.create *)
-                        ^^^^^^^^^^^^^
- Alert deprecated: Stdlib.String.create
- Use Bytes.create/BytesLabels.create instead.
- File "frontend.ml", line 2018, characters 4-16:
- 2018 |   | Stream.Error s ->
-            ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- ocamlopt -I +compiler-libs -g -o ocamlfind_opt findlib.cmxa unix.cmxa \
- 	   ocaml_args.cmx frontend.cmx
- ocamlopt -I +compiler-libs -g -opaque -c topfind.ml
- File "topfind.ml", line 126, characters 40-63:
- 126 |                      match Hashtbl.find Toploop.directive_table "ppx" with
-                                               ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 252, characters 4-27:
- 252 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 262, characters 4-27:
- 262 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 274, characters 4-27:
- 274 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 287, characters 4-27:
- 287 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 301, characters 4-27:
- 301 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "topfind.ml", line 313, characters 4-27:
- 313 |     Toploop.directive_table
-           ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- ocamlopt -I +compiler-libs -g -a -o findlib_top.cmxa topfind.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_top.cmxs topfind.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque -c fl_dynload.ml
- ocamlopt -I +compiler-libs -g -a -o findlib_dynload.cmxa fl_dynload.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_dynload.cmxs fl_dynload.cmx; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
-> compiled  ocamlfind.1.9.1
Processing 63/177: [dune: ocaml bootstrap.ml]
Processing 64/177: [dune: ocaml bootstrap.ml] [ocamlfind: make install]
- if [ "1" -eq 1 ]; then \
-     for x in camlp4 dbm graphics labltk num ocamlbuild; do \
-       if [ -f "/home/opam/.opam/4.14/lib/$x/META" ]; then \
-         if ! grep -Fq '[distributed with Ocaml]' "//home/opam/.opam/4.14/lib/$x/META"; then \
-           rm -f site-lib-src/$x/META; \
-         fi \
-       fi \
-     done; \
-     test -f "site-lib-src/num/META" || rm -f "site-lib-src/num-top/META"; \
-   fi
- echo 'SITELIB_META =' > Makefile.packages.in
- for x in `ls site-lib-src`; do test ! -f "site-lib-src/$x/META" || echo $x >> Makefile.packages.in; done
- tr '\n' ' ' < Makefile.packages.in > Makefile.packages
- rm Makefile.packages.in
- mkdir -p "/home/opam/.opam/4.14/bin"
- mkdir -p "/home/opam/.opam/4.14/man"
- make install-config
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1'
- mkdir -p "`dirname \"/home/opam/.opam/4.14/lib/findlib.conf\"`"
- test -f "/home/opam/.opam/4.14/lib/findlib.conf" || cp findlib.conf "/home/opam/.opam/4.14/lib/findlib.conf"
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1'
- for p in findlib; do ( cd src/$p; make install ); done
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- mkdir -p "/home/opam/.opam/4.14/lib/findlib"
- mkdir -p "/home/opam/.opam/4.14/bin"
- test 1 -eq 0 || cp topfind "/home/opam/.opam/4.14/lib/ocaml"
- files=` ../../tools/collect_files ../../Makefile.config findlib.cmi findlib.mli findlib.cma findlib.cmxa findlib.a findlib.cmxs topfind.cmi topfind.mli fl_package_base.mli fl_package_base.cmi fl_metascanner.mli fl_metascanner.cmi fl_metatoken.cmi findlib_top.cma findlib_top.cmxa findlib_top.a findlib_top.cmxs findlib_dynload.cma findlib_dynload.cmxa findlib_dynload.a findlib_dynload.cmxs fl_dynload.mli fl_dynload.cmi META` && \
- cp $files "/home/opam/.opam/4.14/lib/findlib"
- f="ocamlfind"; { test -f ocamlfind_opt && f="ocamlfind_opt"; }; \
- cp $f "/home/opam/.opam/4.14/bin/ocamlfind"
- # the following "if" block is only needed for 4.00beta2
- if [ 1 -eq 0 -a -f "/home/opam/.opam/4.14/lib/ocaml/compiler-libs/topdirs.cmi" ]; then \
-     cd "/home/opam/.opam/4.14/lib/ocaml/compiler-libs/"; \
-     cp topdirs.cmi toploop.cmi "/home/opam/.opam/4.14/lib/findlib/"; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1/src/findlib'
- make install-meta
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1'
- for x in bigarray bytes compiler-libs dynlink ocamldoc stdlib str threads unix ; do mkdir -p "/home/opam/.opam/4.14/lib/$x"; cp site-lib-src/$x/META "/home/opam/.opam/4.14/lib/$x"; done
- mkdir -p "/home/opam/.opam/4.14/lib/findlib"; cp Makefile.packages "/home/opam/.opam/4.14/lib/findlib/Makefile.packages"
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1'
- test ! -f 'site-lib-src/num-top/META' || { cd src/findlib; make install-num-top; }
- test ! -f 'site-lib-src/camlp4/META' ||	cp tools/safe_camlp4 "/home/opam/.opam/4.14/bin"
- make install-doc
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1'
- mkdir -p "/home/opam/.opam/4.14/man/man1" "/home/opam/.opam/4.14/man/man3" "/home/opam/.opam/4.14/man/man5"
- cp doc/ref-man/ocamlfind.1 "/home/opam/.opam/4.14/man/man1"
- cp doc/ref-man/META.5 doc/ref-man/site-lib.5 doc/ref-man/findlib.conf.5 "/home/opam/.opam/4.14/man/man5"
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/ocamlfind.1.9.1'
-> installed ocamlfind.1.9.1
Processing 64/177: [dune: ocaml bootstrap.ml]
Processing 65/177: [dune: ocaml bootstrap.ml] [num: make]
- make -C src all
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/num.1.4/src'
- ocamlc -ccopt -DBNG_ARCH_amd64 -c bng.c
- ocamlc -ccopt -DBNG_ARCH_amd64 -c nat_stubs.c
- ocamlmklib -oc nums bng.o nat_stubs.o
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c int_misc.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c int_misc.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c nat.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c nat.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c big_int.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c big_int.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_flags.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_flags.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c ratio.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c ratio.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c num.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c num.ml
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_status.mli
- ocamlc -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_status.ml
- ocamlmklib -o nums -oc nums -linkall int_misc.cmo nat.cmo big_int.cmo arith_flags.cmo ratio.cmo num.cmo arith_status.cmo
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c int_misc.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c nat.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c big_int.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_flags.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c ratio.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c num.ml
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -c arith_status.ml
- ocamlmklib -o nums -oc nums -linkall int_misc.cmx nat.cmx big_int.cmx arith_flags.cmx ratio.cmx num.cmx arith_status.cmx
- ocamlopt -w +a-4-9-41-42-44-45-48 -warn-error A -bin-annot -g -safe-string -strict-sequence -strict-formats -I . -shared -o nums.cmxs nums.cmxa
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/num.1.4/src'
- make -C toplevel all
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/num.1.4/toplevel'
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top_printers.mli
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top_printers.ml
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top.mli
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -c num_top.ml
- ocamlc -I ../src -I +compiler-libs -w +a-4-9-41-42-44-45-48 -warn-error A -safe-string -strict-sequence -strict-formats -a -o num_top.cma num_top_printers.cmo num_top.cmo
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/num.1.4/toplevel'
-> compiled  num.1.4
Processing 65/177: [dune: ocaml bootstrap.ml]
Processing 66/177: [dune: ocaml bootstrap.ml] [num: make install]
- make -C src install
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/num.1.4/src'
- install -d /home/opam/.opam/4.14/lib/ocaml
- sed -e 's/%%VERSION%%/1.4/g' META.in > META
- ocamlfind install num META
- Installed /home/opam/.opam/4.14/lib/num/META
- rm -f META
- install -m 644 nums.cma libnums.a big_int.cmi nat.cmi num.cmi ratio.cmi arith_status.cmi big_int.mli nat.mli num.mli ratio.mli arith_status.mli big_int.cmti nat.cmti num.cmti ratio.cmti arith_status.cmti nums.cmxa nums.a int_misc.cmx nat.cmx big_int.cmx arith_flags.cmx ratio.cmx num.cmx arith_status.cmx nums.cmxs /home/opam/.opam/4.14/lib/ocaml
- install -d /home/opam/.opam/4.14/lib/ocaml/stublibs
- install dllnums.so /home/opam/.opam/4.14/lib/ocaml/stublibs
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/num.1.4/src'
- make -C toplevel install
- make[1]: Entering directory '/home/opam/.opam/4.14/.opam-switch/build/num.1.4/toplevel'
- sed -e 's/%%VERSION%%/1.4/g' META.in > META
- ocamlfind install num-top META num_top.cma num_top.cmi num_top_printers.cmi
- Installed /home/opam/.opam/4.14/lib/num-top/num_top_printers.cmi
- Installed /home/opam/.opam/4.14/lib/num-top/num_top.cmi
- Installed /home/opam/.opam/4.14/lib/num-top/num_top.cma
- Installed /home/opam/.opam/4.14/lib/num-top/META
- rm -f META
- make[1]: Leaving directory '/home/opam/.opam/4.14/.opam-switch/build/num.1.4/toplevel'
-> installed num.1.4
Processing 66/177: [dune: ocaml bootstrap.ml]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "bootstrap.ml" "-j" "31" (CWD=/home/opam/.opam/4.14/.opam-switch/build/dune.2.9.1)
- File "./bootstrap.ml", line 46, characters 17-27:
- 46 |               && String.sub fn 0 (String.length duneboot) = duneboot
-                       ^^^^^^^^^^
- Warning 6 [labels-omitted]: labels pos, len were omitted in the application of this function.
- File "./bootstrap.ml", line 103, characters 28-37:
- 103 |   let args = Array.to_list (Array.sub Sys.argv 1 (Array.length Sys.argv - 1)) in
-                                   ^^^^^^^^^
- Warning 6 [labels-omitted]: labels pos, len were omitted in the application of this function.
- ocamlc -output-complete-exe -w -24 -g -o .duneboot.exe -I boot unix.cma boot/libs.ml boot/duneboot.ml
- ./.duneboot.exe -j 31
- cd _boot && /home/opam/.opam/4.14/bin/ocamlopt.opt -c -g -no-alias-deps -w -49 -I +threads cmdliner_base.ml
- File "vendor/cmdliner/src/cmdliner_base.ml", line 158, characters 14-27:
- Warning 6 [labels-omitted]: labels kind, ambs were omitted in the application of this function.
- cd _boot && /home/opam/.opam/4.14/bin/ocamlopt.opt -c -g -no-alias-deps -w -49 -I +threads cmdliner_docgen.ml
- File "vendor/cmdliner/src/cmdliner_docgen.ml", line 278, characters 23-39:
- Warning 6 [labels-omitted]: label sec was omitted in the application of this function.
- File "vendor/cmdliner/src/cmdliner_docgen.ml", line 293, characters 22-56:
- Warning 6 [labels-omitted]: label sec was omitted in the application of this function.
- File "vendor/cmdliner/src/cmdliner_docgen.ml", line 294, characters 35-51:
- Warning 6 [labels-omitted]: label sec was omitted in the application of this function.
- File "vendor/cmdliner/src/cmdliner_docgen.ml", line 295, characters 36-52:
- Warning 6 [labels-omitted]: label sec was omitted in the application of this function.
- cd _boot && /home/opam/.opam/4.14/bin/ocamlopt.opt -c -g -no-alias-deps -w -49 -I +threads cmdliner_cline.ml
- File "vendor/cmdliner/src/cmdliner_cline.ml", line 128, characters 20-47:
- Warning 6 [labels-omitted]: labels kind, ambs were omitted in the application of this function.
- cd _boot && /home/opam/.opam/4.14/bin/ocamlopt.opt -c -g -no-alias-deps -w -49 -I +threads cmdliner_arg.ml
- File "vendor/cmdliner/src/cmdliner_arg.ml", line 193, characters 24-50:
- Warning 6 [labels-omitted]: label err was omitted in the application of this function.
- File "vendor/cmdliner/src/cmdliner_arg.ml", line 243, characters 24-50:
- Warning 6 [labels-omitted]: label err was omitted in the application of this function.
- File "vendor/cmdliner/src/cmdliner_arg.ml", line 260, characters 10-36:
- Warning 6 [labels-omitted]: label pos was omitted in the application of this function.
- cd _boot && /home/opam/.opam/4.14/bin/ocamlopt.opt -c -g -no-alias-deps -w -49 -I +threads cmdliner.ml
- File "vendor/cmdliner/src/cmdliner.ml", line 195, characters 25-47:
- Warning 6 [labels-omitted]: label errs was omitted in the application of this function.
- 

Processing 66/177: [dune: ./dune.exe build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./dune.exe" "build" "-p" "dune" "--profile" "dune-bootstrap" "-j" "31" (CWD=/home/opam/.opam/4.14/.opam-switch/build/dune.2.9.1)
-> compiled  dune.2.9.1
-> installed dune.2.9.1
Processing 68/177: [csexp: dune build]
Processing 69/177: [csexp: dune build] [jane-street-headers: dune build]
Processing 70/177: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build]
Processing 71/177: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build]
Processing 72/177: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build]
Processing 73/177: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build]
Processing 74/177: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build]
Processing 75/177: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: dune build]
Processing 76/177: [csexp: dune build] [jane-street-headers: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> compiled  jane-street-headers.v0.14.0
Processing 76/177: [csexp: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> installed jane-street-headers.v0.14.0
Processing 77/177: [csexp: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> compiled  csexp.1.5.1
Processing 77/177: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> installed csexp.1.5.1
Processing 78/177: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-        ocaml (internal)
- File "/home/opam/.opam/4.14/.opam-switch/build/stdlib-shims.0.3.0/_build/.dune/default/src/dune.ml", line 28, characters 14-37:
- 28 |   Hashtbl.add Toploop.directive_table "require"
-                    ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "/home/opam/.opam/4.14/.opam-switch/build/stdlib-shims.0.3.0/_build/.dune/default/src/dune.ml", line 30, characters 14-37:
- 30 |   Hashtbl.add Toploop.directive_table "use"
-                    ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
- File "/home/opam/.opam/4.14/.opam-switch/build/stdlib-shims.0.3.0/_build/.dune/default/src/dune.ml", line 34, characters 14-37:
- 34 |   Hashtbl.add Toploop.directive_table "use_mod"
-                    ^^^^^^^^^^^^^^^^^^^^^^^
- Alert deprecated: Toploop.directive_table
-> compiled  stdlib-shims.0.3.0
Processing 78/177: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: dune build]
-> installed stdlib-shims.0.3.0
Processing 79/177: [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [re: dune build] [result: dune build] [sexplib0: dune build]
-> compiled  ppx_derivers.1.2.1
Processing 79/177: [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build] [result: dune build] [sexplib0: dune build]
-> installed ppx_derivers.1.2.1
Processing 80/177: [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build] [result: dune build] [sexplib0: dune build]
-> compiled  result.1.5
Processing 80/177: [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build] [sexplib0: dune build]
-> installed result.1.5
Processing 81/177: [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build] [sexplib0: dune build]
Processing 82/177: [dune-configurator: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build] [sexplib0: dune build]
-       ocamlc src/.sexplib0.objs/byte/sexplib0__Sexp_conv.{cmo,cmt}
- File "src/sexp_conv.ml", line 132, characters 17-36:
- 132 |       let ephe = Ephemeron.K1.create () in
-                        ^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Stdlib.Ephemeron.K1.create
- This function won't be available in 5.0
- File "src/sexp_conv.ml", line 133, characters 6-27:
- 133 |       Ephemeron.K1.set_data ephe sexp_of_exn;
-             ^^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Stdlib.Ephemeron.K1.set_data
- This function won't be available in 5.0
- File "src/sexp_conv.ml", line 134, characters 6-26:
- 134 |       Ephemeron.K1.set_key ephe extension_constructor;
-             ^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Stdlib.Ephemeron.K1.set_key
- This function won't be available in 5.0
- File "src/sexp_conv.ml", line 159, characters 12-33:
- 159 |       match Ephemeron.K1.get_data ephe with
-                   ^^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Stdlib.Ephemeron.K1.get_data
- This function won't be available in 5.0
- File "src/sexp_conv.ml", line 166, characters 12-33:
- 166 |       match Ephemeron.K1.get_data ephe with
-                   ^^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Stdlib.Ephemeron.K1.get_data
- This function won't be available in 5.0
- File "src/sexp_conv.ml", line 431, characters 32-46:
- 431 |         [%extension_constructor Stream.Failure],
-                                       ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "src/sexp_conv.ml", line 433, characters 12-26:
- 433 |           | Stream.Failure -> Atom "Stream.Failure"
-                   ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "src/sexp_conv.ml", line 436, characters 32-44:
- 436 |         [%extension_constructor Stream.Error],
-                                       ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "src/sexp_conv.ml", line 438, characters 12-24:
- 438 |           | Stream.Error arg -> List [Atom "Stream.Error"; Atom arg ]
-                   ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
-     ocamlopt src/.sexplib0.objs/native/sexplib0__Sexp_conv.{cmx,o}
- File "src/sexp_conv.ml", line 132, characters 17-36:
- 132 |       let ephe = Ephemeron.K1.create () in
-                        ^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Stdlib.Ephemeron.K1.create
- This function won't be available in 5.0
- File "src/sexp_conv.ml", line 133, characters 6-27:
- 133 |       Ephemeron.K1.set_data ephe sexp_of_exn;
-             ^^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Stdlib.Ephemeron.K1.set_data
- This function won't be available in 5.0
- File "src/sexp_conv.ml", line 134, characters 6-26:
- 134 |       Ephemeron.K1.set_key ephe extension_constructor;
-             ^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Stdlib.Ephemeron.K1.set_key
- This function won't be available in 5.0
- File "src/sexp_conv.ml", line 159, characters 12-33:
- 159 |       match Ephemeron.K1.get_data ephe with
-                   ^^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Stdlib.Ephemeron.K1.get_data
- This function won't be available in 5.0
- File "src/sexp_conv.ml", line 166, characters 12-33:
- 166 |       match Ephemeron.K1.get_data ephe with
-                   ^^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Stdlib.Ephemeron.K1.get_data
- This function won't be available in 5.0
- File "src/sexp_conv.ml", line 431, characters 32-46:
- 431 |         [%extension_constructor Stream.Failure],
-                                       ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "src/sexp_conv.ml", line 433, characters 12-26:
- 433 |           | Stream.Failure -> Atom "Stream.Failure"
-                   ^^^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "src/sexp_conv.ml", line 436, characters 32-44:
- 436 |         [%extension_constructor Stream.Error],
-                                       ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
- File "src/sexp_conv.ml", line 438, characters 12-24:
- 438 |           | Stream.Error arg -> List [Atom "Stream.Error"; Atom arg ]
-                   ^^^^^^^^^^^^
- Alert deprecated: module Stdlib.Stream
- Use the camlp-streams library instead.
-> compiled  sexplib0.v0.14.0
Processing 82/177: [dune-configurator: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build]
-> installed sexplib0.v0.14.0
Processing 83/177: [dune-configurator: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [re: dune build]
-> compiled  octavius.1.2.2
Processing 83/177: [dune-configurator: dune build] [ocaml-compiler-libs: dune build] [re: dune build]
-> installed octavius.1.2.2
Processing 84/177: [dune-configurator: dune build] [ocaml-compiler-libs: dune build] [re: dune build]
-> compiled  re.1.10.3
Processing 84/177: [dune-configurator: dune build] [ocaml-compiler-libs: dune build]
-> installed re.1.10.3
Processing 85/177: [dune-configurator: dune build] [ocaml-compiler-libs: dune build]
-> compiled  ocaml-compiler-libs.v0.12.4
Processing 85/177: [dune-configurator: dune build]
-> installed ocaml-compiler-libs.v0.12.4
Processing 86/177: [dune-configurator: dune build]
Processing 87/177: [dune-configurator: dune build] [ppxlib: dune build]
-> compiled  dune-configurator.2.9.1
Processing 87/177: [ppxlib: dune build]
-> installed dune-configurator.2.9.1
Processing 88/177: [ppxlib: dune build]
Processing 89/177: [base: dune build] [ppxlib: dune build]
-> compiled  base.v0.14.2
Processing 89/177: [ppxlib: dune build]
-> installed base.v0.14.2
Processing 90/177: [ppxlib: dune build]
Processing 91/177: [fieldslib: dune build] [ppxlib: dune build]
Processing 92/177: [fieldslib: dune build] [parsexp: dune build] [ppxlib: dune build]
Processing 93/177: [fieldslib: dune build] [parsexp: dune build] [ppxlib: dune build] [stdio: dune build]
Processing 94/177: [fieldslib: dune build] [parsexp: dune build] [ppxlib: dune build] [stdio: dune build] [typerep: dune build]
Processing 95/177: [fieldslib: dune build] [parsexp: dune build] [ppxlib: dune build] [stdio: dune build] [typerep: dune build] [variantslib: dune build]
-> compiled  variantslib.v0.14.0
Processing 95/177: [fieldslib: dune build] [parsexp: dune build] [ppxlib: dune build] [stdio: dune build] [typerep: dune build]
-> installed variantslib.v0.14.0
Processing 96/177: [fieldslib: dune build] [parsexp: dune build] [ppxlib: dune build] [stdio: dune build] [typerep: dune build]
-> compiled  fieldslib.v0.14.0
Processing 96/177: [parsexp: dune build] [ppxlib: dune build] [stdio: dune build] [typerep: dune build]
-> installed fieldslib.v0.14.0
Processing 97/177: [parsexp: dune build] [ppxlib: dune build] [stdio: dune build] [typerep: dune build]
-> compiled  stdio.v0.14.0
Processing 97/177: [parsexp: dune build] [ppxlib: dune build] [typerep: dune build]
-> installed stdio.v0.14.0
Processing 98/177: [parsexp: dune build] [ppxlib: dune build] [typerep: dune build]
-> compiled  typerep.v0.14.0
Processing 98/177: [parsexp: dune build] [ppxlib: dune build]
-> installed typerep.v0.14.0
Processing 99/177: [parsexp: dune build] [ppxlib: dune build]
-> compiled  parsexp.v0.14.1
Processing 99/177: [ppxlib: dune build]
-> installed parsexp.v0.14.1
Processing 100/177: [ppxlib: dune build]
Processing 101/177: [ppxlib: dune build] [sexplib: dune build]
-> compiled  sexplib.v0.14.0
Processing 101/177: [ppxlib: dune build]
-> installed sexplib.v0.14.0
Processing 102/177: [ppxlib: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppxlib" "-j" "31" "@install" (CWD=/home/opam/.opam/4.14/.opam-switch/build/ppxlib.0.24.0)
-> compiled  ppxlib.0.24.0
-> installed ppxlib.0.24.0
Processing 104/177: [ppx_cold: dune build]
Processing 105/177: [ppx_cold: dune build] [ppx_compare: dune build]
Processing 106/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build]
Processing 107/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build]
Processing 108/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build]
Processing 109/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build]
Processing 110/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build]
Processing 111/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build]
Processing 112/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optcomp: dune build]
Processing 113/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optcomp: dune build] [ppx_optional: dune build]
Processing 114/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optcomp: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build]
Processing 115/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optcomp: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build]
Processing 116/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optcomp: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_stable: dune build]
Processing 117/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optcomp: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_stable: dune build] [ppx_typerep_conv: dune build]
Processing 118/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fields_conv: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optcomp: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_stable: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> compiled  ppx_fields_conv.v0.14.2
Processing 118/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optcomp: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_stable: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> installed ppx_fields_conv.v0.14.2
Processing 119/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optcomp: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_stable: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> compiled  ppx_optcomp.v0.14.3
Processing 119/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_stable: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> installed ppx_optcomp.v0.14.3
Processing 120/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_stable: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> compiled  ppx_stable.v0.14.1
Processing 120/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> installed ppx_stable.v0.14.1
Processing 121/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_enumerate: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> compiled  ppx_enumerate.v0.14.0
Processing 121/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> installed ppx_enumerate.v0.14.0
Processing 122/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_fixed_literal: dune build] [ppx_here: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> compiled  ppx_here.v0.14.0
Processing 122/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_fixed_literal: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> installed ppx_here.v0.14.0
Processing 123/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_fixed_literal: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_typerep_conv: dune build] [ppx_variants_conv: dune build]
-> compiled  ppx_typerep_conv.v0.14.2
Processing 123/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_fixed_literal: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_variants_conv: dune build]
-> installed ppx_typerep_conv.v0.14.2
Processing 124/177: [ppx_cold: dune build] [ppx_compare: dune build] [ppx_fixed_literal: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_variants_conv: dune build]
-> compiled  ppx_cold.v0.14.0
Processing 124/177: [ppx_compare: dune build] [ppx_fixed_literal: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_variants_conv: dune build]
-> installed ppx_cold.v0.14.0
Processing 125/177: [ppx_compare: dune build] [ppx_fixed_literal: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_variants_conv: dune build]
-> compiled  ppx_fixed_literal.v0.14.0
Processing 125/177: [ppx_compare: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_variants_conv: dune build]
-> installed ppx_fixed_literal.v0.14.0
Processing 126/177: [ppx_compare: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build] [ppx_variants_conv: dune build]
-> compiled  ppx_variants_conv.v0.14.2
Processing 126/177: [ppx_compare: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build]
-> installed ppx_variants_conv.v0.14.2
Processing 127/177: [ppx_compare: dune build] [ppx_js_style: dune build] [ppx_let: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build]
-> compiled  ppx_let.v0.14.0
Processing 127/177: [ppx_compare: dune build] [ppx_js_style: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build]
-> installed ppx_let.v0.14.0
Processing 128/177: [ppx_compare: dune build] [ppx_js_style: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build]
-> compiled  ppx_compare.v0.14.0
Processing 128/177: [ppx_js_style: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build]
-> installed ppx_compare.v0.14.0
Processing 129/177: [ppx_js_style: dune build] [ppx_optional: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build]
-> compiled  ppx_optional.v0.14.0
Processing 129/177: [ppx_js_style: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build]
-> installed ppx_optional.v0.14.0
Processing 130/177: [ppx_js_style: dune build] [ppx_pipebang: dune build] [ppx_sexp_conv: dune build]
-> compiled  ppx_pipebang.v0.14.0
Processing 130/177: [ppx_js_style: dune build] [ppx_sexp_conv: dune build]
-> installed ppx_pipebang.v0.14.0
Processing 131/177: [ppx_js_style: dune build] [ppx_sexp_conv: dune build]
-> compiled  ppx_sexp_conv.v0.14.3
Processing 131/177: [ppx_js_style: dune build]
-> installed ppx_sexp_conv.v0.14.3
Processing 132/177: [ppx_js_style: dune build]
Processing 133/177: [ppx_assert: dune build] [ppx_js_style: dune build]
Processing 134/177: [ppx_assert: dune build] [ppx_custom_printf: dune build] [ppx_js_style: dune build]
Processing 135/177: [ppx_assert: dune build] [ppx_custom_printf: dune build] [ppx_hash: dune build] [ppx_js_style: dune build]
Processing 136/177: [ppx_assert: dune build] [ppx_custom_printf: dune build] [ppx_hash: dune build] [ppx_js_style: dune build] [ppx_sexp_message: dune build]
Processing 137/177: [ppx_assert: dune build] [ppx_custom_printf: dune build] [ppx_hash: dune build] [ppx_js_style: dune build] [ppx_sexp_message: dune build] [ppx_sexp_value: dune build]
-> compiled  ppx_js_style.v0.14.1
Processing 137/177: [ppx_assert: dune build] [ppx_custom_printf: dune build] [ppx_hash: dune build] [ppx_sexp_message: dune build] [ppx_sexp_value: dune build]
-> installed ppx_js_style.v0.14.1
Processing 138/177: [ppx_assert: dune build] [ppx_custom_printf: dune build] [ppx_hash: dune build] [ppx_sexp_message: dune build] [ppx_sexp_value: dune build]
-> compiled  ppx_hash.v0.14.0
Processing 138/177: [ppx_assert: dune build] [ppx_custom_printf: dune build] [ppx_sexp_message: dune build] [ppx_sexp_value: dune build]
-> installed ppx_hash.v0.14.0
Processing 139/177: [ppx_assert: dune build] [ppx_custom_printf: dune build] [ppx_sexp_message: dune build] [ppx_sexp_value: dune build]
Processing 140/177: [ppx_assert: dune build] [ppx_base: dune build] [ppx_custom_printf: dune build] [ppx_sexp_message: dune build] [ppx_sexp_value: dune build]
-> compiled  ppx_sexp_value.v0.14.0
Processing 140/177: [ppx_assert: dune build] [ppx_base: dune build] [ppx_custom_printf: dune build] [ppx_sexp_message: dune build]
-> installed ppx_sexp_value.v0.14.0
Processing 141/177: [ppx_assert: dune build] [ppx_base: dune build] [ppx_custom_printf: dune build] [ppx_sexp_message: dune build]
-       ocamlc runtime-lib/.ppx_assert_lib.objs/byte/ppx_assert_lib__Runtime.{cmo,cmt}
- File "runtime-lib/runtime.ml", line 74, characters 46-51:
- 74 | let test_result_or_eq ~sexpifier ~comparator ?equal ~expect ~got =
-                                                    ^^^^^
- Warning 16 [unerasable-optional-argument]: this optional argument cannot be erased.
- File "runtime-lib/runtime.ml", line 102, characters 60-65:
- 102 | let test_result ~pos ~sexpifier ~comparator ~here ?message ?equal ~expect ~got =
-                                                                   ^^^^^
- Warning 16 [unerasable-optional-argument]: this optional argument cannot be erased.
- File "runtime-lib/runtime.ml", line 102, characters 51-58:
- 102 | let test_result ~pos ~sexpifier ~comparator ~here ?message ?equal ~expect ~got =
-                                                          ^^^^^^^
- Warning 16 [unerasable-optional-argument]: this optional argument cannot be erased.
-     ocamlopt runtime-lib/.ppx_assert_lib.objs/native/ppx_assert_lib__Runtime.{cmx,o}
- File "runtime-lib/runtime.ml", line 74, characters 46-51:
- 74 | let test_result_or_eq ~sexpifier ~comparator ?equal ~expect ~got =
-                                                    ^^^^^
- Warning 16 [unerasable-optional-argument]: this optional argument cannot be erased.
- File "runtime-lib/runtime.ml", line 102, characters 60-65:
- 102 | let test_result ~pos ~sexpifier ~comparator ~here ?message ?equal ~expect ~got =
-                                                                   ^^^^^
- Warning 16 [unerasable-optional-argument]: this optional argument cannot be erased.
- File "runtime-lib/runtime.ml", line 102, characters 51-58:
- 102 | let test_result ~pos ~sexpifier ~comparator ~here ?message ?equal ~expect ~got =
-                                                          ^^^^^^^
- Warning 16 [unerasable-optional-argument]: this optional argument cannot be erased.
-> compiled  ppx_assert.v0.14.0
Processing 141/177: [ppx_base: dune build] [ppx_custom_printf: dune build] [ppx_sexp_message: dune build]
-> installed ppx_assert.v0.14.0
Processing 142/177: [ppx_base: dune build] [ppx_custom_printf: dune build] [ppx_sexp_message: dune build]
Processing 143/177: [jst-config: dune build] [ppx_base: dune build] [ppx_custom_printf: dune build] [ppx_sexp_message: dune build]
-> compiled  ppx_sexp_message.v0.14.1
Processing 143/177: [jst-config: dune build] [ppx_base: dune build] [ppx_custom_printf: dune build]
-> installed ppx_sexp_message.v0.14.1
Processing 144/177: [jst-config: dune build] [ppx_base: dune build] [ppx_custom_printf: dune build]
-> compiled  ppx_custom_printf.v0.14.1
Processing 144/177: [jst-config: dune build] [ppx_base: dune build]
-> installed ppx_custom_printf.v0.14.1
Processing 145/177: [jst-config: dune build] [ppx_base: dune build]
Processing 146/177: [bin_prot: dune build] [jst-config: dune build] [ppx_base: dune build]
-> compiled  ppx_base.v0.14.0
Processing 146/177: [bin_prot: dune build] [jst-config: dune build]
-> installed ppx_base.v0.14.0
Processing 147/177: [bin_prot: dune build] [jst-config: dune build]
Processing 148/177: [bin_prot: dune build] [jst-config: dune build] [ppx_string: dune build]
-> compiled  jst-config.v0.14.1
Processing 148/177: [bin_prot: dune build] [ppx_string: dune build]
-> installed jst-config.v0.14.1
Processing 149/177: [bin_prot: dune build] [ppx_string: dune build]
Processing 150/177: [bin_prot: dune build] [ppx_string: dune build] [time_now: dune build]
-> compiled  bin_prot.v0.14.0
Processing 150/177: [ppx_string: dune build] [time_now: dune build]
-> installed bin_prot.v0.14.0
Processing 151/177: [ppx_string: dune build] [time_now: dune build]
Processing 152/177: [ppx_bin_prot: dune build] [ppx_string: dune build] [time_now: dune build]
-> compiled  ppx_string.v0.14.1
Processing 152/177: [ppx_bin_prot: dune build] [time_now: dune build]
-> installed ppx_string.v0.14.1
Processing 153/177: [ppx_bin_prot: dune build] [time_now: dune build]
-> compiled  time_now.v0.14.0
Processing 153/177: [ppx_bin_prot: dune build]
-> installed time_now.v0.14.0
Processing 154/177: [ppx_bin_prot: dune build]
Processing 155/177: [ppx_bin_prot: dune build] [ppx_inline_test: dune build]
Processing 156/177: [ppx_bin_prot: dune build] [ppx_inline_test: dune build] [ppx_module_timer: dune build]
-> compiled  ppx_bin_prot.v0.14.0
Processing 156/177: [ppx_inline_test: dune build] [ppx_module_timer: dune build]
-> installed ppx_bin_prot.v0.14.0
Processing 157/177: [ppx_inline_test: dune build] [ppx_module_timer: dune build]
-> compiled  ppx_module_timer.v0.14.0
Processing 157/177: [ppx_inline_test: dune build]
-> installed ppx_module_timer.v0.14.0
Processing 158/177: [ppx_inline_test: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_inline_test" "-j" "31" (CWD=/home/opam/.opam/4.14/.opam-switch/build/ppx_inline_test.v0.14.1)
-> compiled  ppx_inline_test.v0.14.1
-> installed ppx_inline_test.v0.14.1
Processing 160/177: [ppx_bench: dune build]
Processing 161/177: [ppx_bench: dune build] [ppx_expect: dune build]
-> compiled  ppx_bench.v0.14.1
Processing 161/177: [ppx_expect: dune build]
-> installed ppx_bench.v0.14.1
Processing 162/177: [ppx_expect: dune build]
Processing 163/177: [ppx_expect: dune build] [splittable_random: dune build]
-> compiled  ppx_expect.v0.14.2
Processing 163/177: [splittable_random: dune build]
-> installed ppx_expect.v0.14.2
Processing 164/177: [splittable_random: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "splittable_random" "-j" "31" (CWD=/home/opam/.opam/4.14/.opam-switch/build/splittable_random.v0.14.0)
-> compiled  splittable_random.v0.14.0
-> installed splittable_random.v0.14.0
Processing 166/177: [base_quickcheck: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "base_quickcheck" "-j" "31" (CWD=/home/opam/.opam/4.14/.opam-switch/build/base_quickcheck.v0.14.1)
-> compiled  base_quickcheck.v0.14.1
-> installed base_quickcheck.v0.14.1
Processing 168/177: [ppx_jane: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_jane" "-j" "31" (CWD=/home/opam/.opam/4.14/.opam-switch/build/ppx_jane.v0.14.0)
-> compiled  ppx_jane.v0.14.0
-> installed ppx_jane.v0.14.0
Processing 170/177: [base_bigstring: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "base_bigstring" "-j" "31" (CWD=/home/opam/.opam/4.14/.opam-switch/build/base_bigstring.v0.14.0)
-> compiled  base_bigstring.v0.14.0
-> installed base_bigstring.v0.14.0
Processing 172/177: [core_kernel: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "core_kernel" "-j" "31" (CWD=/home/opam/.opam/4.14/.opam-switch/build/core_kernel.v0.14.2)
-          gcc src/md5_stubs.o
- md5_stubs.c:11:32: warning: '-pedantic' is not an option that controls warnings [-Wpragmas]
-    11 | #pragma GCC diagnostic ignored "-pedantic"
-       |                                ^~~~~~~~~~~
-       ocamlc src/.core_kernel.objs/byte/core_kernel__Ephemeron.{cmo,cmt}
- File "src/ephemeron.ml", line 7, characters 13-29:
- 7 | let create = Ephemeron.create
-                  ^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.create
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 10, characters 12-31:
- 10 |   | None -> Ephemeron.unset_key t
-                  ^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.unset_key
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 11, characters 14-31:
- 11 |   | Some v -> Ephemeron.set_key t v
-                    ^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.set_key
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 14, characters 14-31:
- 14 | let get_key = Ephemeron.get_key
-                    ^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.get_key
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 17, characters 12-32:
- 17 |   | None -> Ephemeron.unset_data t
-                  ^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.unset_data
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 18, characters 14-32:
- 18 |   | Some v -> Ephemeron.set_data t v
-                    ^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.set_data
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 21, characters 15-33:
- 21 | let get_data = Ephemeron.get_data
-                     ^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.get_data
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 22, characters 20-39:
- 22 | let is_key_some t = Ephemeron.check_key t
-                          ^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.check_key
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 24, characters 21-41:
- 24 | let is_data_some t = Ephemeron.check_data t
-                           ^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.check_data
- This function won't be available in 5.0
-     ocamlopt src/.core_kernel.objs/native/core_kernel__Ephemeron.{cmx,o}
- File "src/ephemeron.ml", line 7, characters 13-29:
- 7 | let create = Ephemeron.create
-                  ^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.create
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 10, characters 12-31:
- 10 |   | None -> Ephemeron.unset_key t
-                  ^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.unset_key
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 11, characters 14-31:
- 11 |   | Some v -> Ephemeron.set_key t v
-                    ^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.set_key
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 14, characters 14-31:
- 14 | let get_key = Ephemeron.get_key
-                    ^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.get_key
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 17, characters 12-32:
- 17 |   | None -> Ephemeron.unset_data t
-                  ^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.unset_data
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 18, characters 14-32:
- 18 |   | Some v -> Ephemeron.set_data t v
-                    ^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.set_data
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 21, characters 15-33:
- 21 | let get_data = Ephemeron.get_data
-                     ^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.get_data
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 22, characters 20-39:
- 22 | let is_key_some t = Ephemeron.check_key t
-                          ^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.check_key
- This function won't be available in 5.0
- File "src/ephemeron.ml", line 24, characters 21-41:
- 24 | let is_data_some t = Ephemeron.check_data t
-                           ^^^^^^^^^^^^^^^^^^^^
- Alert old_ephemeron_api: Ephemeron.check_data
- This function won't be available in 5.0
-> compiled  core_kernel.v0.14.2
-> installed core_kernel.v0.14.2
Processing 174/177: [async_kernel: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "async_kernel" "-j" "31" (CWD=/home/opam/.opam/4.14/.opam-switch/build/async_kernel.v0.14.0)
-       ocamlc src/.async_kernel.objs/byte/async_kernel__Throttle.{cmo,cmt}
- File "src/throttle.ml", line 283, characters 25-42:
- 283 | let monad_sequence_how ?(how = `Sequential) ~f =
-                                ^^^^^^^^^^^^^^^^^
- Warning 16 [unerasable-optional-argument]: this optional argument cannot be erased.
- File "src/throttle.ml", line 297, characters 26-43:
- 297 | let monad_sequence_how2 ?(how = `Sequential) ~f =
-                                 ^^^^^^^^^^^^^^^^^
- Warning 16 [unerasable-optional-argument]: this optional argument cannot be erased.
-     ocamlopt src/.async_kernel.objs/native/async_kernel__Throttle.{cmx,o}
- File "src/throttle.ml", line 283, characters 25-42:
- 283 | let monad_sequence_how ?(how = `Sequential) ~f =
-                                ^^^^^^^^^^^^^^^^^
- Warning 16 [unerasable-optional-argument]: this optional argument cannot be erased.
- File "src/throttle.ml", line 297, characters 26-43:
- 297 | let monad_sequence_how2 ?(how = `Sequential) ~f =
-                                 ^^^^^^^^^^^^^^^^^
- Warning 16 [unerasable-optional-argument]: this optional argument cannot be erased.
-> compiled  async_kernel.v0.14.0
-> installed async_kernel.v0.14.0
Processing 176/177: [async_extra: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "async_extra" "-j" "31" (CWD=/home/opam/.opam/4.14/.opam-switch/build/async_extra.v0.14.0)
-> compiled  async_extra.v0.14.0
-> installed async_extra.v0.14.0
Done.
# Run eval $(opam env) to update the current shell environment
2022-01-11 05:17.23 ---> saved as "e52494e9322cf1a20f8540a8dc1daef299031e57214f5145b407f2ef23edc0fd"
Job succeeded